Package Details: libvirt-xen 8.10.0-1

Git Clone URL: https://aur.archlinux.org/libvirt-xen.git (read-only, click to copy)
Package Base: libvirt-xen
Description: API for controlling virtualization engines (openvz,kvm,qemu,virtualbox,xen,etc)
Upstream URL: https://libvirt.org/
Licenses: GPL3, LGPL
Conflicts: libvirt
Provides: libvirt, libvirt-admin.so, libvirt-lxc.so, libvirt-qemu.so, libvirt.so
Submitter: tkolo
Maintainer: ahmubashshir
Last Packager: ahmubashshir
Votes: 0
Popularity: 0.000000
First Submitted: 2019-05-07 16:02 (UTC)
Last Updated: 2022-12-09 09:54 (UTC)

Required by (86)

Sources (2)

Latest Comments

ArthurBorsboom commented on 2022-11-16 22:18 (UTC)

There is a warning:

==> Creating package "libvirt-xen"...
  -> Generating .PKGINFO file...
==> WARNING: Cannot find library listed in 'provides': libvirt-libxl.so

Also, this package seems to conflict with the new package xen-qemu, see details:

https://aur.archlinux.org/packages/xen-qemu

Not sure how to continue from here.

ArthurBorsboom commented on 2022-10-08 23:30 (UTC)

  -> Extracting libvirt-8.7.0.tar.xz with bsdtar
==> Starting prepare()...
patching file src/lxc/lxc_container.c
Reversed (or previously applied) patch detected!  Skipping patch.
1 out of 1 hunk ignored -- saving rejects to file src/lxc/lxc_container.c.rej
==> ERROR: A failure occurred in prepare().
    Aborting...
 -> error making: libvirt-xen

ArthurBorsboom commented on 2022-08-07 09:47 (UTC)

==> Starting prepare()...
sed: can't read src/qemu/qemu.conf: No such file or directory
==> ERROR: A failure occurred in prepare().
    Aborting...
 -> error making: libvirt-xen

ArthurBorsboom commented on 2022-06-12 07:46 (UTC)

==> Starting prepare()...
sed: can't read src/qemu/qemu.conf: No such file or directory
==> ERROR: A failure occurred in prepare().
    Aborting...
 -> error making: libvirt-xen

tkolo commented on 2021-05-07 19:18 (UTC)

thanks, updated

ahmubashshir commented on 2021-05-07 17:16 (UTC)

apply this patch to update